package com.ho.flow.factory;

import java.util.concurrent.ThreadFactory;

public class Factory implements ThreadFactory {
    /**
     * 该方法用来创建线程
     * @param r
     * @return
     */
    @Override
    public Thread newThread(Runnable r) {
        Thread newThread = new Thread(r);
        return newThread;
    }
}
